{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Attach Local",
      "type": "node",
      "request": "attach",
      "port": 9229,
      "address": "localhost",
      "restart": false,
      "sourceMaps": false,
      "localRoot": "${workspaceRoot}/",
      "remoteRoot": "${workspaceRoot}/"
    },
    {
      "type": "node",
      "request": "attach",
      "name": "Node Attach to Pod",
      "address": "localhost",
      "port": 32290,
      "localRoot": "${workspaceRoot}/lib",
      "remoteRoot": "/home/app/lib"
    },
    {
      "type": "node",
      "request": "launch",
      "name": "Mocha Current File",
      "program": "${workspaceFolder}/node_modules/mocha/bin/_mocha",
      "args": [
        "--inspect-brk",
        "--config",
        "${workspaceFolder}/.mocharc.yml",
        "${file}"
      ],
      "skipFiles": [
        "<node_internals>/**/*.js"
      ],
      "env": {
        "NODE_PATH": "."
      },
    },
    {
      "name": "Mocha Tests",
      "args": [
        "-u",
        "bdd",
        "--timeout",
        "999999",
        "--colors",
        "--require",
        "test/common.js",
        "--exit",
        "${workspaceFolder}/test/**/*.spec.js"
      ],
      "internalConsoleOptions": "openOnSessionStart",
      "program": "${workspaceFolder}/node_modules/mocha/bin/_mocha",
      "request": "launch",
      "skipFiles": [
        "<node_internals>/**"
      ],
      "type": "pwa-node",
      "env": {
        "NODE_PATH": "."
      }
    }
  ]
}